import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//获取版本数据
export async function httpList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/versionlist`, {
    data
  });
}

//新增
export async function httpAdd(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin//admin/versionAdd`,
    {
      data
    }
  );
}
//获取版本数据
export async function httpUpdate(data: object): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin//admin/versionAdd`,
    {
      data
    }
  );
}
